Upstream information

CVE-2024-22195 at MITRE

Description

Jinja is an extensible templating engine. Special placeholders in the template allow writing code similar to Python syntax. It is possible to inject arbitrary HTML attributes into the rendered HTML template, potentially leading to Cross-Site Scripting (XSS). The Jinja `xmlattr` filter can be abused to inject arbitrary HTML attribute keys and values, bypassing the auto escaping mechanism and potentially leading to XSS. It may also be possible to bypass attribute validation checks if they are blacklist-based.

SUSE information

Overall state of this security issue: Pending

This issue is currently rated as having moderate severity.

CVSS v3 Scores
  National Vulnerability Database SUSE
Base Score 6.1 5.4
Vector CVSS:3.1/AV:N/AC:L/PR:N/UI:R/S:C/C:L/I:L/A:N CVSS:3.1/AV:N/AC:L/PR:N/UI:R/S:U/C:L/I:L/A:N
Attack Vector Network Network
Attack Complexity Low Low
Privileges Required None None
User Interaction Required Required
Scope Changed Unchanged
Confidentiality Impact Low Low
Integrity Impact Low Low
Availability Impact None None
CVSSv3 Version 3.1 3.1
SUSE Bugzilla entries: 1218722 [IN_PROGRESS], 1223980 [IN_PROGRESS]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
Image SLES15-SP2-SAP-Azure-LI-BYOS-Production
Image SLES15-SP2-SAP-Azure-VLI-BYOS-Production
Image SLES15-SP3-Micro-5-1-BYOS-Azure
Image SLES15-SP3-Micro-5-1-BYOS-EC2-HVM
Image SLES15-SP3-Micro-5-1-BYOS-GCE
Image SLES15-SP3-Micro-5-2-BYOS-Azure
Image SLES15-SP3-Micro-5-2-BYOS-EC2-HVM
Image SLES15-SP3-Micro-5-2-BYOS-GCE
Image SLES15-SP3-SAP-Azure-LI-BYOS-Production
Image SLES15-SP3-SAP-Azure-VLI-BYOS-Production
Image SLES15-SP4-CHOST-BYOS
Image SLES15-SP4-CHOST-BYOS-Aliyun
Image SLES15-SP4-CHOST-BYOS-Azure
Image SLES15-SP4-CHOST-BYOS-EC2
Image SLES15-SP4-CHOST-BYOS-SAP-CCloud
Image SLES15-SP4-Manager-Proxy-4-3-BYOS
Image SLES15-SP4-Manager-Proxy-4-3-BYOS-EC2
Image SLES15-SP4-Manager-Proxy-4-3-BYOS-GCE
Image SLES15-SP4-Manager-Server-4-3
Image SLES15-SP4-Manager-Server-4-3-Azure-llc
Image SLES15-SP4-Manager-Server-4-3-Azure-ltd
Image SLES15-SP4-Manager-Server-4-3-BYOS
Image SLES15-SP4-Manager-Server-4-3-BYOS-Azure
Image SLES15-SP4-Manager-Server-4-3-BYOS-EC2
Image SLES15-SP4-Manager-Server-4-3-BYOS-GCE
Image SLES15-SP4-Manager-Server-4-3-EC2-llc
Image SLES15-SP4-Manager-Server-4-3-EC2-ltd
Image SLES15-SP5-BYOS-EC2
Image SLES15-SP5-BYOS-GCE
Image SLES15-SP5-CHOST-BYOS-Aliyun
Image SLES15-SP5-CHOST-BYOS-Azure
Image SLES15-SP5-CHOST-BYOS-EC2
Image SLES15-SP5-CHOST-BYOS-SAP-CCloud
Image SLES15-SP5-EC2
Image SLES15-SP5-HPC-BYOS-EC2
Image SLES15-SP5-SAP-BYOS-EC2
Image SLES15-SP5-SAPCAL-EC2
Image SLES15-SP6
Image SLES15-SP6-Azure-Basic
Image SLES15-SP6-Azure-Standard
Image SLES15-SP6-BYOS
Image SLES15-SP6-BYOS-Azure
Image SLES15-SP6-BYOS-EC2
Image SLES15-SP6-BYOS-GCE
Image SLES15-SP6-CHOST-BYOS
Image SLES15-SP6-CHOST-BYOS-Aliyun
Image SLES15-SP6-CHOST-BYOS-Azure
Image SLES15-SP6-CHOST-BYOS-EC2
Image SLES15-SP6-EC2
Image SLES15-SP6-EC2-ECS-HVM
Image SLES15-SP6-HPC
Image SLES15-SP6-HPC-Azure
Image SLES15-SP6-HPC-BYOS
Image SLES15-SP6-HPC-BYOS-Azure
Image SLES15-SP6-HPC-BYOS-EC2
Image SLES15-SP6-HPC-BYOS-GCE
Image SLES15-SP6-HPC-EC2
Image SLES15-SP6-HPC-GCE
Image SLES15-SP6-Hardened-BYOS
Image SLES15-SP6-Hardened-BYOS-Azure
Image SLES15-SP6-Hardened-BYOS-EC2
Image SLES15-SP6-Hardened-BYOS-GCE
Image SLES15-SP6-SAP-BYOS
Image SLES15-SP6-SAP-BYOS-Azure
Image SLES15-SP6-SAP-BYOS-EC2
Image SLES15-SP6-SAP-BYOS-GCE
Image SLES15-SP6-SAP-Hardened
Image SLES15-SP6-SAP-Hardened-Azure
Image SLES15-SP6-SAP-Hardened-BYOS
Image SLES15-SP6-SAP-Hardened-BYOS-Azure
Image SLES15-SP6-SAP-Hardened-BYOS-EC2
Image SLES15-SP6-SAP-Hardened-BYOS-GCE
Image SLES15-SP6-SAP-Hardened-EC2
  • python3-Jinja2 >= 2.10.1-150000.3.13.1
SUSE Liberty Linux 8
  • babel >= 2.5.1-10.module+el8.9.0+19487+7dc18407
  • fence-agents-aliyun >= 4.2.1-129.el8
  • fence-agents-all >= 4.2.1-129.el8
  • fence-agents-amt-ws >= 4.2.1-129.el8
  • fence-agents-apc >= 4.2.1-129.el8
  • fence-agents-apc-snmp >= 4.2.1-129.el8
  • fence-agents-aws >= 4.2.1-129.el8
  • fence-agents-azure-arm >= 4.2.1-129.el8
  • fence-agents-bladecenter >= 4.2.1-129.el8
  • fence-agents-brocade >= 4.2.1-129.el8
  • fence-agents-cisco-mds >= 4.2.1-129.el8
  • fence-agents-cisco-ucs >= 4.2.1-129.el8
  • fence-agents-common >= 4.2.1-129.el8
  • fence-agents-compute >= 4.2.1-129.el8
  • fence-agents-drac5 >= 4.2.1-129.el8
  • fence-agents-eaton-snmp >= 4.2.1-129.el8
  • fence-agents-emerson >= 4.2.1-129.el8
  • fence-agents-eps >= 4.2.1-129.el8
  • fence-agents-gce >= 4.2.1-129.el8
  • fence-agents-heuristics-ping >= 4.2.1-129.el8
  • fence-agents-hpblade >= 4.2.1-129.el8
  • fence-agents-ibm-powervs >= 4.2.1-129.el8
  • fence-agents-ibm-vpc >= 4.2.1-129.el8
  • fence-agents-ibmblade >= 4.2.1-129.el8
  • fence-agents-ifmib >= 4.2.1-129.el8
  • fence-agents-ilo-moonshot >= 4.2.1-129.el8
  • fence-agents-ilo-mp >= 4.2.1-129.el8
  • fence-agents-ilo-ssh >= 4.2.1-129.el8
  • fence-agents-ilo2 >= 4.2.1-129.el8
  • fence-agents-intelmodular >= 4.2.1-129.el8
  • fence-agents-ipdu >= 4.2.1-129.el8
  • fence-agents-ipmilan >= 4.2.1-129.el8
  • fence-agents-kdump >= 4.2.1-129.el8
  • fence-agents-kubevirt >= 4.2.1-129.el8
  • fence-agents-lpar >= 4.2.1-129.el8
  • fence-agents-mpath >= 4.2.1-129.el8
  • fence-agents-openstack >= 4.2.1-129.el8
  • fence-agents-redfish >= 4.2.1-129.el8
  • fence-agents-rhevm >= 4.2.1-129.el8
  • fence-agents-rsa >= 4.2.1-129.el8
  • fence-agents-rsb >= 4.2.1-129.el8
  • fence-agents-sbd >= 4.2.1-129.el8
  • fence-agents-scsi >= 4.2.1-129.el8
  • fence-agents-virsh >= 4.2.1-129.el8
  • fence-agents-vmware-rest >= 4.2.1-129.el8
  • fence-agents-vmware-soap >= 4.2.1-129.el8
  • fence-agents-wti >= 4.2.1-129.el8
  • python-nose-docs >= 1.3.7-31.module+el8.9.0+19487+7dc18407
  • python-psycopg2-doc >= 2.7.5-8.module+el8.9.0+19487+7dc18407
  • python-sqlalchemy-doc >= 1.3.2-2.module+el8.9.0+19487+7dc18407
  • python2 >= 2.7.18-17.module+el8.10.0+20822+a15ec22d
  • python2-Cython >= 0.28.1-7.module+el8.9.0+19487+7dc18407
  • python2-PyMySQL >= 0.8.0-10.module+el8.9.0+19487+7dc18407
  • python2-attrs >= 17.4.0-10.module+el8.9.0+19487+7dc18407
  • python2-babel >= 2.5.1-10.module+el8.9.0+19487+7dc18407
  • python2-backports >= 1.0-16.module+el8.9.0+18326+1b5baeee
  • python2-backports-ssl_match_hostname >= 3.5.0.1-12.module+el8.9.0+18326+1b5baeee
  • python2-bson >= 3.7.0-1.module+el8.9.0+19487+7dc18407
  • python2-chardet >= 3.0.4-10.module+el8.9.0+19487+7dc18407
  • python2-coverage >= 4.5.1-5.module+el8.9.0+19487+7dc18407
  • python2-debug >= 2.7.18-17.module+el8.10.0+20822+a15ec22d
  • python2-devel >= 2.7.18-17.module+el8.10.0+20822+a15ec22d
  • python2-dns >= 1.15.0-10.module+el8.9.0+19487+7dc18407
  • python2-docs >= 2.7.16-2.module+el8.9.0+18326+1b5baeee
  • python2-docs-info >= 2.7.16-2.module+el8.9.0+18326+1b5baeee
  • python2-docutils >= 0.14-12.module+el8.9.0+19487+7dc18407
  • python2-funcsigs >= 1.0.2-13.module+el8.9.0+19487+7dc18407
  • python2-idna >= 2.5-7.module+el8.9.0+19487+7dc18407
  • python2-ipaddress >= 1.0.18-6.module+el8.9.0+18326+1b5baeee
  • python2-jinja2 >= 2.10-10.module+el8.10.0+21290+abd5b761
  • python2-libs >= 2.7.18-17.module+el8.10.0+20822+a15ec22d
  • python2-lxml >= 4.2.3-6.module+el8.9.0+19487+7dc18407
  • python2-markupsafe >= 0.23-19.module+el8.9.0+19487+7dc18407
  • python2-mock >= 2.0.0-13.module+el8.9.0+19487+7dc18407
  • python2-nose >= 1.3.7-31.module+el8.9.0+19487+7dc18407
  • python2-numpy >= 1.14.2-16.module+el8.9.0+19487+7dc18407
  • python2-numpy-doc >= 1.14.2-16.module+el8.9.0+19487+7dc18407
  • python2-numpy-f2py >= 1.14.2-16.module+el8.9.0+19487+7dc18407
  • python2-pip >= 9.0.3-19.module+el8.9.0+19487+7dc18407
  • python2-pip-wheel >= 9.0.3-19.module+el8.9.0+19487+7dc18407
  • python2-pluggy >= 0.6.0-8.module+el8.9.0+19487+7dc18407
  • python2-psycopg2 >= 2.7.5-8.module+el8.9.0+19487+7dc18407
  • python2-psycopg2-debug >= 2.7.5-8.module+el8.9.0+19487+7dc18407
  • python2-psycopg2-tests >= 2.7.5-8.module+el8.9.0+19487+7dc18407
  • python2-py >= 1.5.3-6.module+el8.9.0+19487+7dc18407
  • python2-pygments >= 2.2.0-22.module+el8.9.0+19487+7dc18407
  • python2-pymongo >= 3.7.0-1.module+el8.9.0+19487+7dc18407
  • python2-pymongo-gridfs >= 3.7.0-1.module+el8.9.0+19487+7dc18407
  • python2-pysocks >= 1.6.8-6.module+el8.9.0+19487+7dc18407
  • python2-pytest >= 3.4.2-13.module+el8.9.0+19487+7dc18407
  • python2-pytest-mock >= 1.9.0-4.module+el8.9.0+19487+7dc18407
  • python2-pytz >= 2017.2-13.module+el8.9.0+19487+7dc18407
  • python2-pyyaml >= 3.12-16.module+el8.9.0+19487+7dc18407
  • python2-requests >= 2.20.0-4.module+el8.9.0+19487+7dc18407
  • python2-rpm-macros >= 3-38.module+el8.9.0+19487+7dc18407
  • python2-scipy >= 1.0.0-22.module+el8.9.0+19487+7dc18407
  • python2-setuptools >= 39.0.1-14.module+el8.10.0+20444+3bf7fee4
  • python2-setuptools-wheel >= 39.0.1-14.module+el8.10.0+20444+3bf7fee4
  • python2-setuptools_scm >= 1.15.7-6.module+el8.9.0+19487+7dc18407
  • python2-six >= 1.11.0-6.module+el8.9.0+18326+1b5baeee
  • python2-sqlalchemy >= 1.3.2-2.module+el8.9.0+19487+7dc18407
  • python2-test >= 2.7.18-17.module+el8.10.0+20822+a15ec22d
  • python2-tkinter >= 2.7.18-17.module+el8.10.0+20822+a15ec22d
  • python2-tools >= 2.7.18-17.module+el8.10.0+20822+a15ec22d
  • python2-urllib3 >= 1.24.2-4.module+el8.10.0+20444+3bf7fee4
  • python2-virtualenv >= 15.1.0-22.module+el8.9.0+19487+7dc18407
  • python2-wheel >= 0.31.1-3.module+el8.9.0+19487+7dc18407
  • python2-wheel-wheel >= 0.31.1-3.module+el8.9.0+19487+7dc18407
  • python3-jinja2 >= 2.10.1-4.el8
Patchnames:
RHSA-2024:2968
RHSA-2024:2987
RHSA-2024:3102
SUSE Liberty Linux 9
  • fence-agents-aliyun >= 4.10.0-62.el9
  • fence-agents-all >= 4.10.0-62.el9
  • fence-agents-amt-ws >= 4.10.0-62.el9
  • fence-agents-apc >= 4.10.0-62.el9
  • fence-agents-apc-snmp >= 4.10.0-62.el9
  • fence-agents-aws >= 4.10.0-62.el9
  • fence-agents-azure-arm >= 4.10.0-62.el9
  • fence-agents-bladecenter >= 4.10.0-62.el9
  • fence-agents-brocade >= 4.10.0-62.el9
  • fence-agents-cisco-mds >= 4.10.0-62.el9
  • fence-agents-cisco-ucs >= 4.10.0-62.el9
  • fence-agents-common >= 4.10.0-62.el9
  • fence-agents-compute >= 4.10.0-62.el9
  • fence-agents-drac5 >= 4.10.0-62.el9
  • fence-agents-eaton-snmp >= 4.10.0-62.el9
  • fence-agents-emerson >= 4.10.0-62.el9
  • fence-agents-eps >= 4.10.0-62.el9
  • fence-agents-gce >= 4.10.0-62.el9
  • fence-agents-heuristics-ping >= 4.10.0-62.el9
  • fence-agents-hpblade >= 4.10.0-62.el9
  • fence-agents-ibm-powervs >= 4.10.0-62.el9
  • fence-agents-ibm-vpc >= 4.10.0-62.el9
  • fence-agents-ibmblade >= 4.10.0-62.el9
  • fence-agents-ifmib >= 4.10.0-62.el9
  • fence-agents-ilo-moonshot >= 4.10.0-62.el9
  • fence-agents-ilo-mp >= 4.10.0-62.el9
  • fence-agents-ilo-ssh >= 4.10.0-62.el9
  • fence-agents-ilo2 >= 4.10.0-62.el9
  • fence-agents-intelmodular >= 4.10.0-62.el9
  • fence-agents-ipdu >= 4.10.0-62.el9
  • fence-agents-ipmilan >= 4.10.0-62.el9
  • fence-agents-kdump >= 4.10.0-62.el9
  • fence-agents-kubevirt >= 4.10.0-62.el9
  • fence-agents-mpath >= 4.10.0-62.el9
  • fence-agents-openstack >= 4.10.0-62.el9
  • fence-agents-redfish >= 4.10.0-62.el9
  • fence-agents-rhevm >= 4.10.0-62.el9
  • fence-agents-rsa >= 4.10.0-62.el9
  • fence-agents-rsb >= 4.10.0-62.el9
  • fence-agents-sbd >= 4.10.0-62.el9
  • fence-agents-scsi >= 4.10.0-62.el9
  • fence-agents-virsh >= 4.10.0-62.el9
  • fence-agents-vmware-rest >= 4.10.0-62.el9
  • fence-agents-vmware-soap >= 4.10.0-62.el9
  • fence-agents-wti >= 4.10.0-62.el9
  • fence-virt >= 4.10.0-62.el9
  • fence-virtd >= 4.10.0-62.el9
  • fence-virtd-cpg >= 4.10.0-62.el9
  • fence-virtd-libvirt >= 4.10.0-62.el9
  • fence-virtd-multicast >= 4.10.0-62.el9
  • fence-virtd-serial >= 4.10.0-62.el9
  • fence-virtd-tcp >= 4.10.0-62.el9
  • ha-cloud-support >= 4.10.0-62.el9
  • python3-jinja2 >= 2.11.3-5.el9
Patchnames:
RHSA-2024:2132
RHSA-2024:2348
SUSE Linux Enterprise Desktop 15 SP5
SUSE Linux Enterprise High Performance Computing 15 SP5
SUSE Linux Enterprise Server 15 SP5
SUSE Linux Enterprise Server for SAP Applications 15 SP5
  • python3-Jinja2 >= 2.10.1-150000.3.13.1
  • python311-Jinja2 >= 3.1.2-150400.12.6.1
Patchnames:
SUSE-SLE-Module-Basesystem-15-SP5-2024-1863
SUSE-SLE-Module-Python3-15-SP5-2024-1864
SUSE Linux Enterprise Desktop 15 SP6
SUSE Linux Enterprise High Performance Computing 15 SP6
SUSE Linux Enterprise Server 15 SP6
SUSE Linux Enterprise Server for SAP Applications 15 SP6
  • python3-Jinja2 >= 2.10.1-150000.3.13.1
  • python311-Jinja2 >= 3.1.2-150400.12.6.1
Patchnames:
SUSE-SLE-Module-Basesystem-15-SP6-2024-1863
SUSE-SLE-Module-Python3-15-SP6-2024-1864
SUSE Linux Enterprise Micro 5.1
  • python3-Jinja2 >= 2.10.1-150000.3.13.1
Patchnames:
SUSE-SUSE-MicroOS-5.1-2024-1863
SUSE Linux Enterprise Micro 5.2
  • python3-Jinja2 >= 2.10.1-150000.3.13.1
Patchnames:
SUSE-SUSE-MicroOS-5.2-2024-1863
SUSE Linux Enterprise Micro 5.3
  • python3-Jinja2 >= 2.10.1-150000.3.13.1
Patchnames:
SUSE-SLE-Micro-5.3-2024-1863
SUSE Linux Enterprise Micro 5.4
  • python3-Jinja2 >= 2.10.1-150000.3.13.1
Patchnames:
SUSE-SLE-Micro-5.4-2024-1863
SUSE Linux Enterprise Micro 5.5
  • python3-Jinja2 >= 2.10.1-150000.3.13.1
Patchnames:
SUSE-SLE-Micro-5.5-2024-1863
SUSE Linux Enterprise Module for Basesystem 15 SP5
  • python3-Jinja2 >= 2.10.1-150000.3.13.1
Patchnames:
SUSE-SLE-Module-Basesystem-15-SP5-2024-1863
SUSE Linux Enterprise Module for Basesystem 15 SP6
  • python3-Jinja2 >= 2.10.1-150000.3.13.1
Patchnames:
SUSE-SLE-Module-Basesystem-15-SP6-2024-1863
SUSE Linux Enterprise Module for Python 3 15 SP5
  • python311-Jinja2 >= 3.1.2-150400.12.6.1
Patchnames:
SUSE-SLE-Module-Python3-15-SP5-2024-1864
SUSE Linux Enterprise Module for Python 3 15 SP6
  • python311-Jinja2 >= 3.1.2-150400.12.6.1
Patchnames:
SUSE-SLE-Module-Python3-15-SP6-2024-1864
openSUSE Leap 15.5
  • python-Jinja2-emacs >= 2.10.1-150000.3.13.1
  • python-Jinja2-vim >= 2.10.1-150000.3.13.1
  • python3-Jinja2 >= 2.10.1-150000.3.13.1
  • python311-Jinja2 >= 3.1.2-150400.12.6.1
Patchnames:
openSUSE-SLE-15.5-2024-1863
openSUSE-SLE-15.5-2024-1864
openSUSE Leap 15.6
  • python311-Jinja2 >= 3.1.2-150400.12.6.1
Patchnames:
openSUSE-SLE-15.6-2024-1864
openSUSE Leap Micro 5.3
  • python3-Jinja2 >= 2.10.1-150000.3.13.1
Patchnames:
openSUSE-Leap-Micro-5.3-2024-1863
openSUSE Leap Micro 5.4
  • python3-Jinja2 >= 2.10.1-150000.3.13.1
Patchnames:
openSUSE-Leap-Micro-5.4-2024-1863
openSUSE Leap Micro 5.5
  • python3-Jinja2 >= 2.10.1-150000.3.13.1
Patchnames:
openSUSE-Leap-Micro-5.5-2024-1863
openSUSE Tumbleweed
  • python310-Jinja2 >= 3.1.3-1.1
  • python311-Jinja2 >= 3.1.3-1.1
  • python39-Jinja2 >= 3.1.3-1.1
Patchnames:
openSUSE-Tumbleweed-2024-13581


First public cloud image revisions this CVE is fixed in:


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification. The updates are grouped by state of their lifecycle. SUSE product lifecycles are documented on the lifecycle page.

Product(s) Source package State
Products under general support and receiving all security fixes.
SUSE Enterprise Storage 7.1 python-Jinja2 Affected
SUSE Linux Enterprise Desktop 15 SP5 python-Jinja2 Released
SUSE Linux Enterprise Desktop 15 SP6 python-Jinja2 Released
SUSE Linux Enterprise High Performance Computing 12 python-Jinja2 Affected
SUSE Linux Enterprise High Performance Computing 15 SP5 python-Jinja2 Released
SUSE Linux Enterprise High Performance Computing 15 SP6 python-Jinja2 Released
SUSE Linux Enterprise Micro 5.1 python-Jinja2 Released
SUSE Linux Enterprise Micro 5.2 python-Jinja2 Released
SUSE Linux Enterprise Micro 5.3 python-Jinja2 Released
SUSE Linux Enterprise Micro 5.4 python-Jinja2 Released
SUSE Linux Enterprise Micro 5.5 python-Jinja2 Released
SUSE Linux Enterprise Micro 6.0 python-Jinja2 Affected
SUSE Linux Enterprise Micro for Rancher 5.2 python-Jinja2 Released
SUSE Linux Enterprise Micro for Rancher 5.3 python-Jinja2 Released
SUSE Linux Enterprise Micro for Rancher 5.4 python-Jinja2 Released
SUSE Linux Enterprise Module for Advanced Systems Management 12 python-Jinja2 Affected
SUSE Linux Enterprise Module for Basesystem 15 SP5 python-Jinja2 Released
SUSE Linux Enterprise Module for Basesystem 15 SP6 python-Jinja2 Released
SUSE Linux Enterprise Module for Public Cloud 12 python-Jinja2 Affected
SUSE Linux Enterprise Module for Python 3 15 SP5 python-Jinja2 Released
SUSE Linux Enterprise Module for Python 3 15 SP6 python-Jinja2 Released
SUSE Linux Enterprise Server 12 SP5 python-Jinja2 Affected
SUSE Linux Enterprise Server 15 SP5 python-Jinja2 Released
SUSE Linux Enterprise Server 15 SP6 python-Jinja2 Released
SUSE Linux Enterprise Server for SAP Applications 12 SP5 python-Jinja2 Affected
SUSE Linux Enterprise Server for SAP Applications 15 SP5 python-Jinja2 Released
SUSE Linux Enterprise Server for SAP Applications 15 SP6 python-Jinja2 Released
SUSE Manager Client Tools Beta for SLE 12 python-Jinja2 Affected
SUSE Manager Client Tools for SLE 12 python-Jinja2 Affected
SUSE Manager Proxy 4.3 python-Jinja2 Affected
SUSE Manager Retail Branch Server 4.3 python-Jinja2 Affected
SUSE Manager Server 4.3 python-Jinja2 Affected
SUSE Manager Tools 12 python-Jinja2 Affected
SUSE Manager Tools 12-BETA python-Jinja2 Affected
openSUSE Leap 15.5 python-Jinja2 Released
openSUSE Leap 15.6 python-Jinja2 Released
openSUSE Leap Micro 5.5 python-Jinja2 Affected
Products under Long Term Service Pack support and receiving important and critical security fixes.
SUSE Linux Enterprise Desktop 15 SP4 python-Jinja2 Affected
SUSE Linux Enterprise High Performance Computing 15 SP2 python-Jinja2 Affected
SUSE Linux Enterprise High Performance Computing 15 SP2-ESPOS python-Jinja2 Affected
SUSE Linux Enterprise High Performance Computing 15 SP2-LTSS python-Jinja2 Affected
SUSE Linux Enterprise High Performance Computing 15 SP3 python-Jinja2 Affected
SUSE Linux Enterprise High Performance Computing 15 SP3-ESPOS python-Jinja2 Affected
SUSE Linux Enterprise High Performance Computing 15 SP3-LTSS python-Jinja2 Affected
SUSE Linux Enterprise High Performance Computing 15 SP4 python-Jinja2 Affected
SUSE Linux Enterprise High Performance Computing 15 SP4-ESPOS python-Jinja2 Affected
SUSE Linux Enterprise High Performance Computing 15 SP4-LTSS python-Jinja2 Affected
SUSE Linux Enterprise Module for Basesystem 15 SP2 python-Jinja2 Affected
SUSE Linux Enterprise Module for Basesystem 15 SP3 python-Jinja2 Affected
SUSE Linux Enterprise Module for Basesystem 15 SP4 python-Jinja2 Affected
SUSE Linux Enterprise Module for Python 2 15 SP2 python-Jinja2 Affected
SUSE Linux Enterprise Module for Python 2 15 SP3 python-Jinja2 Affected
SUSE Linux Enterprise Module for Python 3 15 SP4 python-Jinja2 Affected
SUSE Linux Enterprise Server 15 SP2 python-Jinja2 Affected
SUSE Linux Enterprise Server 15 SP2-LTSS python-Jinja2 Affected
SUSE Linux Enterprise Server 15 SP3 python-Jinja2 Affected
SUSE Linux Enterprise Server 15 SP3-LTSS python-Jinja2 Affected
SUSE Linux Enterprise Server 15 SP4 python-Jinja2 Affected
SUSE Linux Enterprise Server 15 SP4-LTSS python-Jinja2 Affected
SUSE Linux Enterprise Server for SAP Applications 15 SP2 python-Jinja2 Affected
SUSE Linux Enterprise Server for SAP Applications 15 SP3 python-Jinja2 Affected
SUSE Linux Enterprise Server for SAP Applications 15 SP4 python-Jinja2 Affected
Products past their end of life and not receiving proactive updates anymore.
HPE Helion OpenStack 8 python-Jinja2 Won't fix
SUSE CaaS Platform 4.0 python-Jinja2 Affected
SUSE Cloud Compute Node for SUSE Linux Enterprise 12 5 python-Jinja2 Affected
SUSE Enterprise Storage 1.0 python-Jinja2 Affected
SUSE Enterprise Storage 2 python-Jinja2 Affected
SUSE Enterprise Storage 2.1 python-Jinja2 Affected
SUSE Enterprise Storage 3 python-Jinja2 Affected
SUSE Enterprise Storage 6 python-Jinja2 Affected
SUSE Enterprise Storage 7 python-Jinja2 Affected
SUSE Linux Enterprise Desktop 15 python-Jinja2 Affected
SUSE Linux Enterprise Desktop 15 SP1 python-Jinja2 Affected
SUSE Linux Enterprise Desktop 15 SP2 python-Jinja2 Affected
SUSE Linux Enterprise Desktop 15 SP3 python-Jinja2 Affected
SUSE Linux Enterprise High Performance Computing 15 python-Jinja2 Affected
SUSE Linux Enterprise High Performance Computing 15 SP1 python-Jinja2 Affected
SUSE Linux Enterprise High Performance Computing 15 SP1-ESPOS python-Jinja2 Affected
SUSE Linux Enterprise High Performance Computing 15 SP1-LTSS python-Jinja2 Affected
SUSE Linux Enterprise High Performance Computing 15-ESPOS python-Jinja2 Affected
SUSE Linux Enterprise High Performance Computing 15-LTSS python-Jinja2 Affected
SUSE Linux Enterprise Micro 5.0 python-Jinja2 Affected
SUSE Linux Enterprise Module for Basesystem 15 python-Jinja2 Affected
SUSE Linux Enterprise Module for Basesystem 15 SP1 python-Jinja2 Affected
SUSE Linux Enterprise Module for Python 2 15 SP1 python-Jinja2 Affected
SUSE Linux Enterprise Real Time 15 SP2 python-Jinja2 Affected
SUSE Linux Enterprise Real Time 15 SP3 python-Jinja2 Affected
SUSE Linux Enterprise Real Time 15 SP4 python-Jinja2 Affected
SUSE Linux Enterprise Server 12 python-Jinja2 Affected
SUSE Linux Enterprise Server 12 SP3 python-Jinja2 Affected
SUSE Linux Enterprise Server 12 SP4 python-Jinja2 Affected
SUSE Linux Enterprise Server 15 python-Jinja2 Affected
SUSE Linux Enterprise Server 15 SP1 python-Jinja2 Affected
SUSE Linux Enterprise Server 15 SP1-BCL python-Jinja2 Affected
SUSE Linux Enterprise Server 15 SP1-LTSS python-Jinja2 Affected
SUSE Linux Enterprise Server 15 SP2-BCL python-Jinja2 Affected
SUSE Linux Enterprise Server 15 SP3-BCL python-Jinja2 Affected
SUSE Linux Enterprise Server 15-LTSS python-Jinja2 Affected
SUSE Linux Enterprise Server for SAP Applications 12 python-Jinja2 Affected
SUSE Linux Enterprise Server for SAP Applications 12 SP3 python-Jinja2 Affected
SUSE Linux Enterprise Server for SAP Applications 12 SP4 python-Jinja2 Affected
SUSE Linux Enterprise Server for SAP Applications 15 python-Jinja2 Affected
SUSE Linux Enterprise Server for SAP Applications 15 SP1 python-Jinja2 Affected
SUSE Manager Proxy 3.0 python-Jinja2 Affected
SUSE Manager Proxy 4.0 python-Jinja2 Affected
SUSE Manager Proxy 4.1 python-Jinja2 Affected
SUSE Manager Proxy 4.2 python-Jinja2 Affected
SUSE Manager Retail Branch Server 4.0 python-Jinja2 Affected
SUSE Manager Retail Branch Server 4.1 python-Jinja2 Affected
SUSE Manager Retail Branch Server 4.2 python-Jinja2 Affected
SUSE Manager Server 3.0 python-Jinja2 Affected
SUSE Manager Server 4.0 python-Jinja2 Affected
SUSE Manager Server 4.1 python-Jinja2 Affected
SUSE Manager Server 4.2 python-Jinja2 Affected
SUSE OpenStack Cloud 6 python-Jinja2 Affected
SUSE OpenStack Cloud 6-LTSS python-Jinja2 Affected
SUSE OpenStack Cloud 8 python-Jinja2 Won't fix
SUSE OpenStack Cloud 9 python-Jinja2 Won't fix
SUSE OpenStack Cloud Crowbar 8 python-Jinja2 Won't fix
SUSE OpenStack Cloud Crowbar 9 python-Jinja2 Won't fix
openSUSE Leap 15.3 python-Jinja2 Affected
openSUSE Leap 15.4 python-Jinja2 Released
openSUSE Leap Micro 5.2 python-Jinja2 Affected
openSUSE Leap Micro 5.3 python-Jinja2 Released
openSUSE Leap Micro 5.4 python-Jinja2 Released


SUSE Timeline for this CVE

CVE page created: Thu Jan 11 05:00:23 2024
CVE page last modified: Fri Jul 12 19:45:58 2024